#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

#include "terminal_io.h"
#include "logfile_io.h"

#include "logfile/logfile.h"
#include "common/common.h"
#include "comms/comms.h"
#include "error.h"


#define LOGFILE "logfile"


int main(int argc, char **argv)
{
	char 	*number,
		*comms_params,
		*baud;

	int 	fdin,
		fdout;




	number       = argv[1];
	comms_params = argv[2];
	baud         = argv[3];


	/* ---------------------------- */

	set_logfile("./logfile");
	set_loglevel(3);
	set_consolelog(TRUE);

	/* ---------------------------- */



	lprintf(LOG_STANDARD, "Dialing SMSC %s...\n", number);

	fdin = SMS_dial(number, comms_params, baud);
	if (fdin < 0)
	{       lprintf(LOG_WARNING, "Failed to connect\n");
		return EDIAL;
	}

	lprintf(LOG_STANDARD, "Connection Established.\n");


	fdout = fdin;

	init_logfile("logs/terminal.log");

	setterm();
	terminal_io(STDIN_FILENO, STDOUT_FILENO, fdin, fdout, -1);

	SMS_hangup(fdin);
	return 0;
}
